#ifndef BASIC_STRING_H
#define BASIC_STRING_H

#include "aliases.h"
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif // __cplusplus

typedef struct bstr BasicString;
struct bstr {
  u64 size;
  const char *buf;
};

#define wapp_bstr_new(STR)                                                     \
  (BasicString) { .size = strlen(STR), .str = STR }
void wapp_bstr_print(const BasicString *str);

#ifdef __cplusplus
}
#endif // __cplusplus

#endif // !BASIC_STRING_H
